// Arena.h

#import <space/Discrete2d.h>

//deklaracia objektu arena

@interface Arena: Discrete2d
{
  int worldXSize;   //
  int worldYSize;   // velkost areny  
  int amountOfFood; // mnozstvo jedla v arene(pre EZGraph)
}

//metody

// reset mnozstva jedla 

- resetAmountOfFood;  

// ziskanie mnozstva jedla

- (int)getAmountOfFood;

//polozi objekt tvaru kruhu, 
//color udava ci je to prekazka, jedlo...

- putCircleX: (int) x Y: (int) y R: (unsigned) r with:(unsigned) color;

//polozi objekt tvaru stvorca, 
//color udava ci je to prekazka, jedlo...

- putSquareX: (int) x Y: (int) y A: (unsigned) a with:(unsigned) color;


//polozi objekt tvaru obdlznika 
//color udava ci je to prekazka, jedlo...

- putRectangleX: (int) x Y: (int) y A: (unsigned) a B: (unsigned) b with:(unsigned) color;

@end

