#import "Model.h"
#import <simtoolsgui/GUISwarm.h>
#import <analysis.h> // EZGraph

@interface Observer: GUISwarm
{
  int frDisp;

  id displayActions;
  id displaySchedule;
  id foodGraph;
  id foodGrapher;

  Model *model;

  id <Colormap> colorMap;
  id <ZoomRaster> worldRaster;
  id <ZoomRaster> worldP1Raster;
  id <ZoomRaster> worldP2Raster;
  id <ZoomRaster> worldP0Raster;
  id <ZoomRaster> worldFRaster;

  id <Value2dDisplay> arenaDisplay;
  id <Object2dDisplay> antDisplay;
  id <Value2dDisplay> feromonDisplayP1;
  id <Value2dDisplay> feromonDisplayF;
  id <Value2dDisplay> feromonDisplayP2;
  id <Value2dDisplay> feromonDisplayP0;
}

+createBegin: aZone;
-createEnd;
-buildObjects;
-buildActions;
-activateIn: swarmContext;
@end