
#import <objectbase/SwarmObject.h>
#import <space.h>
#import <gui.h>
#import "Arena.h"
#import "FeromonSpace.h"
#import "Rule.h"

// Deklaracia objektu ant 

@interface Ant:SwarmObject
{

// premenne suvisiace s vazbou na prostrede,
// v ktorom agent posobi 

id <Grid2d> worldA;

id arena;
FeromonSpace *feromonP0;
FeromonSpace *feromonP1;
FeromonSpace *feromonP2;
FeromonSpace *feromonF;
int worldX, worldY;


// premenne pre popis agenta

int x,y,o;            //x,y=pozicia o=otocenie
int prevX, prevY;     //predchadzajuca pozicia
int hlavaX, hlavaY, zadokX, zadokY;  //pozicia hlavy a zadku
int tykadloLx, tykadloLy, tykadloRx, tykadloRy; //pozicia tykadiel

// stavove premenne
int haveHlad;
int nesting;
int trail_lay;
int returning;
int foraging;
int building;
int attacking;
int soil;

int n; //pocet produkcnych praviel
id <Array> brain;  //smernik na mozog agenta 

int nestX, nestY;  //suradnice hniezda

int relPhero;      // mnozstvo vyluceneho feromonu agentom
int krok;          // pocitadlo krokov
int lisikX,lisikY;
}

//metody agenta

//nastavovacie metody, pouzivane pri inicializacii
-setX:(int)x Y:(int)y O:(int)o;
-setNestX:(int)x Y:(int)y;
-setWorldA:(id) w;
-setArena:(id)f;
-setP0Space:(FeromonSpace *)fero;
-setP1Space:(FeromonSpace *)fero;
-setP2Space:(FeromonSpace *)fero;
-setFSpace:(FeromonSpace *)fero;
-setWorldX:(int)x Y:(int)y;
-setInside:(char *)z;
-setBrain:(char *)filename;
-setRelPhero:(int)i;

//metoda na vykonanie jedneho kroku agenta v simulacii
-step;

//vykreslenie agenta na raster
-drawSelfOn:(id <Raster>)r;

@end