
#include "Ant.h"
#include <random.h>
#import <simtools.h>

#define FOOD 64
#define OBSTACLE 66
#define NEST 67
#define SOIL 68
#define pS 68

@implementation Ant

////////////////////////////////////////
//
//  metoda step
//  vykona jeden krok agenta, obsahuje odvodzovaci
//  mechaizmus pre spravanie agenta
//
////////////////////////////////////////
- step
{
  int dx,dy,Lx,Ly,Rx,Ry,i,j,k,pom1,pom2;
  int intenzitaL,intenzitaR,rozdiel;

  char odor[9],contact[9],inside[9];
  char motor[9];
  char effector[9];
  char Inside[9];
  char nulo[9];

  int lOdor,sOdor,pOdor;
  int pheromon0Odor,foodOdor,pheromon1Odor,pheromon2Odor;

  int foodContact,soilContact,nestContact;
  int obstacleContact,antContact;
  
  char matcher1[9], matcher2[9];

  id index, aMember;

  float angle;

  krok++;

  strcpy( nulo, "00000000\0");
 
  strcpy(     odor, "00000000\0"); 
  strcpy(  contact, "00000000\0"); 
  strcpy(   inside, "00000000\0"); 
  strcpy(    motor, "00000000\0"); 
  strcpy( effector, "00000000\0"); 
  strcpy( matcher1, "00000000\0"); 
  strcpy( matcher2, "00000000\0");

///////////////////////////////////////////////////////////
//
//  Naplnenie registra ODOR
//
///////////////////////////////////////////////////////////


// vrstva prostredia feromon2

  pheromon0Odor=foodOdor=pheromon1Odor=pheromon2Odor=0;
  lOdor=sOdor=pOdor='0';


  if([feromonP2 getValueAtX: tykadloLx Y:tykadloLy]>512
  || [feromonP2 getValueAtX: tykadloRx Y:tykadloRy]>512)
  {
    pheromon2Odor=1;  
  
    intenzitaL = [feromonP2 getValueAtX: tykadloLx Y:tykadloLy];
    intenzitaR = [feromonP2 getValueAtX: tykadloRx Y:tykadloRy];

    rozdiel = intenzitaL - intenzitaR;

    lOdor=sOdor=pOdor='0';

    if(rozdiel>0)  lOdor='1';
    if(rozdiel==0) sOdor='1';
    if(rozdiel<0)  pOdor='1';
  }

// vrstva prostredia feromon1


  if([feromonP1 getValueAtX: tykadloLx Y:tykadloLy]>512
  || [feromonP1 getValueAtX: tykadloRx Y:tykadloRy]>512)
  {
    pheromon2Odor=0;  
    pheromon1Odor=1;  
  
    intenzitaL = [feromonP1 getValueAtX: tykadloLx Y:tykadloLy];
    intenzitaR = [feromonP1 getValueAtX: tykadloRx Y:tykadloRy];

    rozdiel = intenzitaL - intenzitaR;

    lOdor=sOdor=pOdor='0';

    if(rozdiel>0)  lOdor='1';
    if(rozdiel==0) sOdor='1';
    if(rozdiel<0)  pOdor='1';
  }


// vrstva prostredia: vona jedla

  if([feromonF getValueAtX: tykadloLx Y:tykadloLy]>512
  || [feromonF getValueAtX: tykadloRx Y:tykadloRy]>512)
  {
    pheromon2Odor=0;  
    pheromon1Odor=0;  
    foodOdor=1;  

    intenzitaL = [feromonF getValueAtX: tykadloLx Y:tykadloLy];
    intenzitaR = [feromonF getValueAtX: tykadloRx Y:tykadloRy];

    rozdiel = intenzitaL - intenzitaR;

    lOdor=sOdor=pOdor='0';

    if(rozdiel>0)  lOdor='1';
    if(rozdiel==0) sOdor='1';
    if(rozdiel<0)  pOdor='1';
  }


// vrstva prostredia feromon0

  if([feromonP0 getValueAtX: tykadloLx Y:tykadloLy]>512
  || [feromonP0 getValueAtX: tykadloRx Y:tykadloRy]>512)
  {
    pheromon2Odor=0;  
    pheromon1Odor=0;  
    foodOdor=0;
    pheromon0Odor=0;  
  
    intenzitaL = [feromonP0 getValueAtX: tykadloLx Y:tykadloLy];
    intenzitaR = [feromonP0 getValueAtX: tykadloRx Y:tykadloRy];

    rozdiel = intenzitaL - intenzitaR;

    lOdor=sOdor=pOdor='0';

    if(rozdiel>0)  lOdor='1';
    if(rozdiel==0) sOdor='1';
    if(rozdiel<0)  pOdor='1';
  }

  if(pheromon0Odor==1)odor[0]='1';
  if(foodOdor==1)     odor[1]='1';
  if(pheromon1Odor==1)odor[2]='1';
  if(pheromon2Odor==1)odor[3]='1';
  odor[4]='0';
  odor[5]=lOdor;
  odor[6]=sOdor;
  odor[7]=pOdor;  

//  printf("odor=%s \n ",odor);

  
///////////////////////////////////////////////////////////
//
// Naplnenie registra Contact
//  
///////////////////////////////////////////////////////////

   foodContact=soilContact=nestContact=0;
   obstacleContact=antContact=0;

//zistovanie kontaktu s okolitymi predmetmi

  if([arena getValueAtX: hlavaX Y:hlavaY]==FOOD)
    foodContact=1;
  if([arena getValueAtX: hlavaX Y:hlavaY]==SOIL)
    soilContact=1;
  if([arena getValueAtX: hlavaX Y:hlavaY]==NEST)
    nestContact=1;
  if([arena getValueAtX: hlavaX Y:hlavaY]==OBSTACLE)
    obstacleContact=1;

  if([worldA getObjectAtX: hlavaX Y:hlavaY]!=nil)
    antContact=1;

  if(foodContact==1)     contact[0]='1'; else contact[0]='0';
  if(soilContact==1)     contact[1]='1'; else contact[1]='0'; 
  if(nestContact==1)     contact[2]='1'; else contact[2]='0';
  if(obstacleContact==1) contact[3]='1'; else contact[3]='0'; 
  if(antContact==1)      contact[4]='1'; else contact[4]='0';
  
  contact[5]=contact[6]=contact[7]='0';

//  printf("contact=%s  ",contact);


///////////////////////////////////////////////////////////
//
//  Naplnenie registru Inside 
//
///////////////////////////////////////////////////////////

//naplnenie na zaklade stavovych premennych 

  if(haveHlad==1)   inside[0]='1'; else inside[0]='0';
  if([arena getValueAtX:x Y:y]==NEST)
    inside[1]='1';  else    inside[1]='0';
  if(trail_lay==1)  inside[2]='1'; else inside[2]='0';
  if(returning==1)  inside[3]='1'; else inside[3]='0';
  if(foraging==1)   inside[4]='1'; else inside[4]='0';
  if(building==1)   inside[5]='1'; else inside[5]='0';
  if(attacking==1)  inside[6]='1'; else inside[6]='0';
  if(soil==1)       inside[7]='1'; else inside[7]='0';

  strcpy(Inside,inside); 
//  printf("inside=%s  \n",inside);

///////////////////////////////////////////////////////////
//
//  Mozog agenta - odvodzovaci mechanizmus 
//
///////////////////////////////////////////////////////////


// nastavenie sa na prve pravidlo 
  index = [brain begin: scratchZone];

//prechadzanie pravidiel
  for(i=0;i<n;i++)
  {
   aMember = [index next]; 

//identifikacia prveho pravidla  
   switch([aMember getIdP1])
   { 
     case 'n': {strncpy( matcher1, nulo,    8 ); break;}
     case 'o': {strncpy( matcher1, odor,    8 ); break;}
     case 'c': {strncpy( matcher1, contact, 8 ); break;}
     case 'i': {strncpy( matcher1, inside,  8 ); break;}
   }

//identifikacia druheho pravidla  
   switch([aMember getIdP2])
   { 
     case 'n': {strncpy( matcher2, nulo,    8 ); break;}
     case 'o': {strncpy( matcher2, odor,    8 ); break;}
     case 'c': {strncpy( matcher2, contact, 8 ); break;}
     case 'i': {strncpy( matcher2, inside,  8 ); break;}
   }

   
// matching podmienkovych casti
// ak pasuju, dosadi sa dosledkova
// cast do prislusneho registra

   if([aMember getIdD]=='e' &&
   [aMember cmpM:matcher1 wP:[aMember getP1]]==0 &&
   [aMember cmpM:matcher2 wP:[aMember getP2]]==0)
     [aMember setR:effector wP:[aMember getD]];

   if([aMember getIdD]=='m' &&
   [aMember cmpM:matcher1 wP:[aMember getP1]]==0 &&
   [aMember cmpM:matcher2 wP:[aMember getP2]]==0)
     [aMember setR:motor wP:[aMember getD]];

   if([aMember getIdD]=='I' &&
   [aMember cmpM:matcher1 wP:[aMember getP1]]==0 &&
   [aMember cmpM:matcher2 wP:[aMember getP2]]==0)
     [aMember setR:Inside wP:[aMember getD]];
 }
   
  [index drop];
   


//  printf("motor=%s  ",motor);
//  printf("Ins=%s  ",Inside);
//  printf("efector=%s\n",effector);

///////////////////////////////////////////////////////////
//
// Spracovanie vystupu
//
///////////////////////////////////////////////////////////



  //effector - podla nastaveneho bitu sa vykona zasah do prostredia
  if(effector[0]=='1') [feromonP0 addFeromon:relPhero  X:x Y:y];
  if(effector[1]=='1') [arena putValue: 0 atX: hlavaX Y:hlavaY];
  if(effector[2]=='1') [feromonP1 addFeromon:relPhero X:x Y:y];
  if(effector[3]=='1') [feromonP2 addFeromon:relPhero X:x Y:y];
  if(effector[4]=='1') [arena putValue: 0 atX: hlavaX Y:hlavaY];
  if(effector[5]=='1') [arena putValue: pS atX: hlavaX Y:hlavaY]; 
  if(effector[6]=='1') 
  {
    pom1=[uniformIntRand getIntegerWithMin: 0 withMax: 1];
    if(pom1==0) {Inside[6]='0'; Inside[7]='1';}
    if(pom1==1) {Inside[6]='1'; Inside[7]='0';}
  }
  if(effector[7]=='1') ;

  //Inside - podla nastaveneho bitu sa zmenia stavove premenne agenta
  if(Inside[0]=='1') haveHlad=1;else haveHlad=0;
  if(Inside[1]=='1') nesting=1;else nesting=0;
  if(Inside[2]=='1') trail_lay=1;else trail_lay=0;
  if(Inside[3]=='1') returning=1;else returning=0;
  if(Inside[4]=='1') foraging=1;else foraging=0;
  if(Inside[5]=='1') building=1;else building=0;
  if(Inside[6]=='1') attacking=1;else attacking=0;
  if(Inside[7]=='1') soil=1;else soil=0;


  //motor - podla nastavenia bitov v registri motor
  //        sa pohybuje agent
  if(motor[5]=='1')		//pseudonavigacia do hniezda
  {				//naplnia sa smerove bity registra
                                //motor

    pom1=lisikX;		//lisikX a lisikY su diferencie od
    pom2=lisikY;		//hniezda
    angle=atan2(pom2,pom1);
    pom1=(int)((floor(angle*1.273+0.5)-2)+8)%8;
    if((8+o-pom1)%8==0)
      {
       motor[2]='0';
       motor[3]='1';
       motor[4]='0';
      } 
    if((8+o-pom1)%8>0 && (8+o-pom1)%8<=4)
      {
       motor[2]='1';
       motor[3]='0';
       motor[4]='0';
      } 
    if((8+o-pom1)%8<8 && (8+o-pom1)%8>4)
      {
       motor[2]='0';
       motor[3]='0';
       motor[4]='1';
      } 
  }

  //vypocet otocenia podla smerovych bitov

  if(motor[2]=='1' && motor[3]=='0' && motor[4]=='0')
    o=(o+7)%8;
  if(motor[2]=='0' && motor[3]=='1' && motor[4]=='0')
    o=o;
  if(motor[2]=='0' && motor[3]=='0' && motor[4]=='1')
    o=(o+9)%8;
  if(motor[2]=='1' && motor[3]=='1' && motor[4]=='0')
    o =(o + [uniformIntRand getIntegerWithMin: -1 withMax: 0]+8)%8;
  if(motor[2]=='0' && motor[3]=='1' && motor[4]=='1')
    o =(o + [uniformIntRand getIntegerWithMin: 0 withMax: 1]+8)%8;
  if(motor[2]=='1' && motor[4]=='1')
    o =(o + [uniformIntRand getIntegerWithMin: -1 withMax: 1]+8)%8; 


  if(motor[6]=='1')		//vzdalovanie sa agenta
  {                             //od hniezda
          //Mravec najde potravu tak, ze sleduje feromonovu cesticku
          // a vzdaluje sa od hniezda.


    if([feromonP1 getValueAtX:hlavaX Y:hlavaY]>0 && (prevX-nestX)*(prevX-nestX)+(prevY-nestY)*(prevY-nestY)>(hlavaX-nestX)*(hlavaX-nestX)+(hlavaY-nestY)*(hlavaY-nestY))
    o = (o + [uniformIntRand getIntegerWithMin: -1 withMax: 1]+8)%8;

  }


  // vykonanie pohybu

  // stoj
  if(motor[0]=='0' && motor[1]=='0');  
 
  //chod vpred
  if(motor[0]=='0' && motor[1]=='1' && [worldA getObjectAtX: hlavaX Y: hlavaY]==nil )
  {
    [worldA putObject: nil atX: x Y: y];
    [worldA putObject: self atX: hlavaX Y: hlavaY]; 
    prevX=x;
    prevY=y;
    x = hlavaX;
    y = hlavaY;

 
    if(x<=2) x=2;
    if(x>worldX-2) x=worldX-2;
    if(y<=2) y=2;
    if(y>worldY-2) y=worldY-2;

    lisikX=lisikX+x-prevX;
    lisikY=lisikY+y-prevY;
  }

  if(motor[0]=='1' && motor[1]=='0');
  if(motor[0]=='1' && motor[1]=='1');

  //prevod otocenia na premenne, skrze ktore sa vyrata
  
  if(o==0) {dx= 0;  dy=-1; Lx=-1; Ly=-2; Rx= 1; Ry=-2;}
  if(o==1) {dx= 1;  dy=-1; Lx= 1; Ly=-2; Rx= 2; Ry=-1;}
  if(o==2) {dx= 1;  dy= 0; Lx= 2; Ly=-1; Rx= 2; Ry= 1;}
  if(o==3) {dx= 1;  dy= 1; Lx= 2; Ly= 1; Rx= 1; Ry= 2;}
  if(o==4) {dx= 0;  dy= 1; Lx= 1; Ly= 2; Rx=-1; Ry= 2;}
  if(o==5) {dx=-1;  dy= 1; Lx=-1; Ly= 2; Rx=-2; Ry= 1;}
  if(o==6) {dx=-1;  dy= 0; Lx=-2; Ly= 1; Rx=-2; Ry=-1;}
  if(o==7) {dx=-1;  dy=-1; Lx=-2; Ly=-1; Rx=-1; Ry=-2;}

  
  // vypocet suradnic casti tela agenta

  hlavaX = x + dx;  hlavaY = y + dy;
  zadokX = x - dx;  zadokY = y - dy;
  tykadloLx = x + Lx; tykadloLy = y + Ly;
  tykadloRx = x + Rx; tykadloRy = y + Ry;

  return self;
}


/////////////////////////////////////////////////////////////


//////////////////////////////////////////////
//
//  Vsetky metody set* sluzia na nastavenie pociatocnych hodnot
//
//////////////////////////////////////////////

- setX: (int)xx Y: (int)yy O:(int)oo
{
  int dx,dy,Lx,Ly,Rx,Ry;

  prevX=x;
  prevY=y;
  x = xx;
  y = yy;
  o = oo;
  prevX = x;
  prevY = y;

  if(o==0) {dx= 0;  dy=-1; Lx=-1; Ly=-2; Rx= 1; Ry=-2;}
  if(o==1) {dx= 1;  dy=-1; Lx= 1; Ly=-2; Rx= 2; Ry=-1;}
  if(o==2) {dx= 1;  dy= 0; Lx= 2; Ly=-1; Rx= 2; Ry= 1;}
  if(o==3) {dx= 1;  dy= 1; Lx= 2; Ly= 1; Rx= 1; Ry= 2;}
  if(o==4) {dx= 0;  dy= 1; Lx= 1; Ly= 2; Rx=-1; Ry= 2;}
  if(o==5) {dx=-1;  dy= 1; Lx=-1; Ly= 2; Rx=-2; Ry= 1;}
  if(o==6) {dx=-1;  dy= 0; Lx=-2; Ly= 1; Rx=-2; Ry=-1;}
  if(o==7) {dx=-1;  dy=-1; Lx=-2; Ly=-1; Rx=-1; Ry=-2;}

  hlavaX = x + dx;  hlavaY = y + dy;
  zadokX = x - dx;  zadokY = y - dy;
  tykadloLx = x + Lx; tykadloLy = y + Ly;
  tykadloRx = x + Rx; tykadloRy = y + Ry;

  lisikX=0;
  lisikY=0;


  return self;
}

- setNestX: (int)xxx Y: (int)yyy 
{
  nestX=xxx;
  nestY=yyy;
  krok=0;

  return self;
}

- setWorldX: (int)xSize Y: (int)ySize 
{

  worldX = xSize;
  worldY = ySize;
 

  return self;
}

- setInside: (char *)z
{

  if(z[0]=='1') haveHlad = 1; else haveHlad =0;
  if(x==nestX && y==nestY) nesting=1; else nesting=0;
  if(z[2]=='1') trail_lay = 1; else trail_lay = 0; 
  if(z[3]=='1') returning = 1; else returning = 0;
  if(z[4]=='1') foraging = 1; else foraging = 0;
  if(z[5]=='1') building = 1; else building = 0;
  if(z[6]=='1') attacking = 1; else attacking = 0;
  if(z[7]=='1') soil = 1; else soil = 0;


  return self;
}

-setP0Space:(FeromonSpace *)fero
{
  feromonP0 = fero;

  return self;
}

-setP1Space:(FeromonSpace *)fero
{
  feromonP1 = fero;

  return self;
}

-setP2Space:(FeromonSpace *)fero
{
  feromonP2 = fero;

  return self;
}

-setFSpace:(FeromonSpace *)fero2
{
  feromonF = fero2;

  return self;
}

-setArena:(id) f
{

  arena=f;

  return self;
}

-setWorldA:(id) w
{

  worldA = w ;

  return self;
}


//////////////////////////////////////////////
//
//  Vykreslenie mravca na raster
//
//////////////////////////////////////////////

-drawSelfOn:(id <Raster>)r
{

  [r drawPointX: hlavaX Y: hlavaY Color: 65 ];
  [r drawPointX: x Y: y Color: 65 ];
  [r drawPointX: zadokX Y: zadokY Color: 65 ];

  return self;
}  

//////////////////////////////////////////////
//
//   Metoda brain sluzi na nacitanie sady
//   produkcnych pravidiel zo suboru. Obsahuje
//   parser.  
//
//////////////////////////////////////////////

-setBrain:(char *)filename
{

  id aZone, rule;
  id inFile;
  int i,parse,N1;
  char string[10];
  char string1[10];
  char aWord[10];
  char aWord2[10];


  inFile = [InFile create: globalZone withName: filename];
  if(inFile==nil)
  {
    printf("\nerror: No such file!\n");
    inFile = [InFile create: globalZone withName: "default.sce"];
  }

    [inFile getWord: string1];

    if (strcmp(string1, "Rules:") == 0)
    {
      [inFile getInt: &n];

      aZone = [Zone create: globalZone];

      brain = [Array create: aZone setCount: n];

      for(i=0;i<n;i++)
      {
        [inFile getWord: aWord];
        if(strcmp(aWord,"IF")==0)
          [inFile getWord: aWord];
        else
          printf("error!\n"); 


	N1=0;
        if(strcmp(aWord,"Inside")==0)
        {strcpy(string,"********i");
        while(N1==0)
        { 
          [inFile getWord: aWord2];
          //printf(" %s", aWord2);
            if (strcmp(aWord2, "Hungry") == 0) string[0]='1';
            else if (strcmp(aWord2, "notHungry") == 0) string[0]='0';
            else if (strcmp(aWord2, "Nesting") == 0) string[1]='1';
            else if (strcmp(aWord2, "notNesting") == 0) string[1]='0';
            else if (strcmp(aWord2, "Trail-Lay") == 0) string[2]='1';
            else if (strcmp(aWord2, "notTrail-Lay") == 0) string[2]='0';
            else if (strcmp(aWord2, "Returning") == 0) string[3]='1';
            else if (strcmp(aWord2, "notReturning") == 0) string[3]='0';
            else if (strcmp(aWord2, "Foraging") == 0) string[4]='1';
            else if (strcmp(aWord2, "notForaging") == 0) string[4]='0';
            else if (strcmp(aWord2, "Building") == 0) string[5]='1';
            else if (strcmp(aWord2, "notBuilding") == 0) string[5]='0';
            else if (strcmp(aWord2, "Defending") == 0) string[6]='1';
            else if (strcmp(aWord2, "notDefending") == 0) string[6]='0';
            else if (strcmp(aWord2, "Soil") == 0) string[7]='1';
            else if (strcmp(aWord2, "notSoil") == 0) string[7]='0';
            else if (strcmp(aWord2, "noAll") == 0) strcpy(string,"00000000I");
            else if (strcmp(aWord2, "All") == 0) strcpy(string,"11111111I");
          else if (strcmp(aWord2, "AND") == 0) N1=1;
          else if (strcmp(aWord2, "THEN") == 0) N1=2;
          else {printf("%s <- error",aWord2); N1=3;}
        }}
        else if(strcmp(aWord,"Odor")==0)
        {strcpy(string,"*****000o"); 
        while(N1==0)
        { 
          [inFile getWord: aWord2];
          //printf(" %s", aWord2);
          if (strcmp(aWord2, "Pheromon0") == 0) string[0]='1';
          else if (strcmp(aWord2, "notPheromon0") == 0) string[0]='1';
          else if (strcmp(aWord2, "Food") == 0) string[1]='1';
          else if (strcmp(aWord2, "notFood") == 0) string[1]='1';
          else if (strcmp(aWord2, "Pheromon1") == 0) string[2]='1';
          else if (strcmp(aWord2, "notPheromon1") == 0) string[2]='1';
          else if (strcmp(aWord2, "Pheromon2") == 0) string[3]='1';
          else if (strcmp(aWord2, "notPheromon2") == 0) string[3]='1';
          else if (strcmp(aWord2, "Left") == 0) string[5]='1';
          else if (strcmp(aWord2, "Straight") == 0) string[6]='1';
          else if (strcmp(aWord2, "Right") == 0) string[7]='1';
          else if (strcmp(aWord2, "Nothing") == 0) strcpy(string,"00000000o");
          else if (strcmp(aWord2, "AND") == 0) N1=1;
          else if (strcmp(aWord2, "THEN") == 0) N1=2;
          else {printf("%s <- error",aWord2); N1=3;}
        }}
        else if(strcmp(aWord,"Contact")==0)
        {strcpy(string,"********c"); 
        while(N1==0)
        { 
          [inFile getWord: aWord2];
          //printf(" %s", aWord2);
          if (strcmp(aWord2, "Food") == 0) string[0]='1';
          else if (strcmp(aWord2, "noFood") == 0) string[0]='0';
          else if (strcmp(aWord2, "Soil") == 0) string[1]='1';
          else if (strcmp(aWord2, "noSoil") == 0) string[1]='0';
          else if (strcmp(aWord2, "Nest") == 0) string[2]='1';
          else if (strcmp(aWord2, "noNest") == 0) string[2]='0';
          else if (strcmp(aWord2, "Obstacle") == 0) string[3]='1';
          else if (strcmp(aWord2, "noObstacle") == 0) string[3]='0';
          else if (strcmp(aWord2, "Ant") == 0) string[4]='1';
          else if (strcmp(aWord2, "noAnt") == 0) string[4]='0';
          else if (strcmp(aWord2, "AND") == 0) N1=1;
          else if (strcmp(aWord2, "THEN") == 0) N1=2;
          else {printf("%s <- error",aWord2); N1=3;}
        }}

        if(N1!=3)
        {
          rule = [Rule create: aZone];
          [rule insertP1: string];

        }

        if(N1==2)
        {
          strcpy(string,"00000000n");
          [rule insertP2: string];
          N1=4;
        }

        if(N1==1)
        {         
          [inFile getWord: aWord];          

          N1=0;
          if(strcmp(aWord,"Inside")==0)
          {strcpy(string,"********i\0"); 
          while(N1==0)
          { 
            [inFile getWord: aWord2];
//            printf(" %s", aWord2);
            if (strcmp(aWord2, "Hungry") == 0) string[0]='1';
            else if (strcmp(aWord2, "notHungry") == 0) string[0]='0';
            else if (strcmp(aWord2, "Nesting") == 0) string[1]='1';
            else if (strcmp(aWord2, "notNesting") == 0) string[1]='0';
            else if (strcmp(aWord2, "Trail-Lay") == 0) string[2]='1';
            else if (strcmp(aWord2, "notTrail-Lay") == 0) string[2]='0';
            else if (strcmp(aWord2, "Returning") == 0) string[3]='1';
            else if (strcmp(aWord2, "notReturning") == 0) string[3]='0';
            else if (strcmp(aWord2, "Foraging") == 0) string[4]='1';
            else if (strcmp(aWord2, "notForaging") == 0) string[4]='0';
            else if (strcmp(aWord2, "Building") == 0) string[5]='1';
            else if (strcmp(aWord2, "notBuilding") == 0) string[5]='0';
            else if (strcmp(aWord2, "Defending") == 0) string[6]='1';
            else if (strcmp(aWord2, "notDefending") == 0) string[6]='0';
            else if (strcmp(aWord2, "Soil") == 0) string[7]='1';
            else if (strcmp(aWord2, "notSoil") == 0) string[7]='0';
            else if (strcmp(aWord2, "noAll") == 0) strcpy(string,"00000000I");
            else if (strcmp(aWord2, "All") == 0) strcpy(string,"11111111I");
            else if (strcmp(aWord2, "THEN") == 0) N1=4;
            else {printf("%s <- error",aWord2); N1=3;}
          }}
          else if(strcmp(aWord,"Odor")==0)
          {strcpy(string,"*****000o\0"); 
          while(N1==0)
          { 
            [inFile getWord: aWord2];
//            printf(" %s", aWord2);
            if (strcmp(aWord2, "Pheromon0") == 0) string[0]='1';
            else if (strcmp(aWord2, "notPheromon0") == 0) string[0]='1';
            else if (strcmp(aWord2, "Food") == 0) string[1]='1';
            else if (strcmp(aWord2, "notFood") == 0) string[1]='1';
            else if (strcmp(aWord2, "Pheromon1") == 0) string[2]='1';
            else if (strcmp(aWord2, "notPheromon1") == 0) string[2]='1';
            else if (strcmp(aWord2, "Pheromon2") == 0) string[3]='1';
            else if (strcmp(aWord2, "notPheromon2") == 0) string[3]='1';
            else if (strcmp(aWord2, "Left") == 0) string[5]='1';
            else if (strcmp(aWord2, "Straight") == 0) string[6]='1';
            else if (strcmp(aWord2, "Right") == 0) string[7]='1';
            else if (strcmp(aWord2, "Nothing") == 0) strcpy(string,"00000000o");
            else if (strcmp(aWord2, "THEN") == 0) N1=4;
            else {printf("%s <- error",aWord2); N1=3;}
          }}
          else if(strcmp(aWord,"Contact")==0)
          {strcpy(string,"********c\0"); 
          while(N1==0)
          { 
            [inFile getWord: aWord2];
//            printf(" %s", aWord2);
            if (strcmp(aWord2, "Food") == 0) string[0]='1';
            else if (strcmp(aWord2, "noFood") == 0) string[0]='0';
            else if (strcmp(aWord2, "Soil") == 0) string[1]='1';
            else if (strcmp(aWord2, "noSoil") == 0) string[1]='0';
            else if (strcmp(aWord2, "Nest") == 0) string[2]='1';
            else if (strcmp(aWord2, "noNest") == 0) string[2]='0';
            else if (strcmp(aWord2, "Obstacle") == 0) string[3]='1';
            else if (strcmp(aWord2, "noObstacle") == 0) string[3]='0';
            else if (strcmp(aWord2, "Ant") == 0) string[4]='1';
            else if (strcmp(aWord2, "noAnt") == 0) string[4]='0';
           else if (strcmp(aWord2, "THEN") == 0) N1=4;
            else {printf("%s <- error",aWord2); N1=3;}
          }}
          [rule insertP2: string];
        }

        if(N1==4)
        {         
          [inFile getWord: aWord];          

          N1=0; 
          if(strcmp(aWord,"Inside")==0)
          {strcpy(string,"********I\0"); 
          while(N1==0)
          { 
            [inFile getWord: aWord2];
//            printf(" %s", aWord2);
            if (strcmp(aWord2, "Hungry") == 0) string[0]='1';
            else if (strcmp(aWord2, "notHungry") == 0) string[0]='0';
            else if (strcmp(aWord2, "Nesting") == 0) string[1]='1';
            else if (strcmp(aWord2, "notNesting") == 0) string[1]='0';
            else if (strcmp(aWord2, "Trail-Lay") == 0) string[2]='1';
            else if (strcmp(aWord2, "notTrail-Lay") == 0) string[2]='0';
            else if (strcmp(aWord2, "Returning") == 0) string[3]='1';
            else if (strcmp(aWord2, "notReturning") == 0) string[3]='0';
            else if (strcmp(aWord2, "Foraging") == 0) string[4]='1';
            else if (strcmp(aWord2, "notForaging") == 0) string[4]='0';
            else if (strcmp(aWord2, "Building") == 0) string[5]='1';
            else if (strcmp(aWord2, "notBuilding") == 0) string[5]='0';
            else if (strcmp(aWord2, "Defending") == 0) string[6]='1';
            else if (strcmp(aWord2, "notDefending") == 0) string[6]='0';
            else if (strcmp(aWord2, "Soil") == 0) string[7]='1';
            else if (strcmp(aWord2, "notSoil") == 0) string[7]='0';
            else if (strcmp(aWord2, "noAll") == 0) strcpy(string,"00000000I");
            else if (strcmp(aWord2, "All") == 0) strcpy(string,"11111111I");
            else if (strcmp(aWord2, ".") == 0) N1=5;
            else {printf("%s <- error",aWord2); N1=3;}
          }}
          else if(strcmp(aWord,"Motor")==0)
          {strcpy(string,"00000000m\0"); 
          while(N1==0)
          { 
            [inFile getWord: aWord2];
//            printf(" %s", aWord2);
            if (strcmp(aWord2, "Go") == 0) {string[0]='0';string[1]='1';}
            else if (strcmp(aWord2, "Stay") == 0) {string[0]='0';string[1]='0';}
            else if (strcmp(aWord2, "Back") == 0) {string[0]='1';string[1]='0';}
            else if (strcmp(aWord2, "Left") == 0) string[2]='1';
            else if (strcmp(aWord2, "Straight") == 0) string[3]='1';
            else if (strcmp(aWord2, "Right") == 0) string[4]='1';
            else if (strcmp(aWord2, "NavigTo") == 0) string[5]='1';
            else if (strcmp(aWord2, "NavigFrom") == 0) string[6]='1';
            else if (strcmp(aWord2, ".") == 0) N1=5;
            else {printf("%s <- error",aWord2); N1=3;}
          }}
          else if(strcmp(aWord,"Effector")==0)
          {
          strcpy(string,"00000000e\0"); 
          while(N1==0)
          { 
            [inFile getWord: aWord2];
//            printf(" %s", aWord2);
            if (strcmp(aWord2, "LayPheromonP0") == 0) string[0]='1';
            else if (strcmp(aWord2, "Eat") == 0) string[1]='1';
            else if (strcmp(aWord2, "LayPheromonP1") == 0) string[2]='1';
            else if (strcmp(aWord2, "LayPheromonP2") == 0) string[3]='1';
            else if (strcmp(aWord2, "GetSoil") == 0) string[4]='1';
            else if (strcmp(aWord2, "PutSoil") == 0) string[5]='1';
            else if (strcmp(aWord2, "LeftOrRight") == 0) string[6]='1';            else if (strcmp(aWord2, ".") == 0) N1=5;
            else {printf("%s <- error",aWord2); N1=3;}
          }}
        }

          if(N1==5)
          {
            [rule insertD: string];  
             
            [brain atOffset: i put: rule];
          }

          if(N1==3) i=2*n;        
    // printf("%s %s %s\n",[rule getP1],[rule getP2],[rule getD]);
      }//for
  
  }
  else{printf("<-error\n");}
  
  [inFile drop];

  return self;
}

//////////////////////////////////////////////
//
//  metoda na nastavenie mnozstva vyluceneho 
//  feromonu agentom (setReleasedPheromone)
//
//////////////////////////////////////////////

-setRelPhero:(int)i
{
  relPhero = i;
  return self;
}

@end
