
#import "Phero2d.h"
#import <space.h>

typedef int FeromonValue;

extern const FeromonValue maxFeromon;


@interface FeromonCell: SwarmObject
{
 int x;
 int y;
}

-setX:(int)theX;
-setY:(int)theY;
-(int)getX;
-(int)getY;
@end


@interface FeromonSpace: Phero2d
{
}


-addFeromon: (FeromonValue)moreFeromon X:(int)x Y:(int)y;
- putCircleX: (int) x Y: (int) y R: (unsigned) r with:(unsigned) color;
- putSquareX: (int) x Y: (int) y A: (unsigned) a with:(unsigned) color;
- putRectangleX: (int) x Y: (int) y A: (unsigned) a B: (unsigned) b with:(unsigned) color;
- putVLineX: (int) x Y1: (int) y1 Y2: (int) y2 withI1:(unsigned) color1 I2:(unsigned) color2;
- putHLineX1: (int) x1 X2: (int) x2 Y: (int) y withI1:(unsigned)color1 I2:(unsigned) color2;
@end
