
#import <objectbase/Swarm.h>
#import <space.h>
#import "Ant.h"
#import "Arena.h"
#import "FeromonSpace.h"

@interface Model: Swarm
{
  int worldX, worldY;
  double diffuseConstant0;
  double evaporationRate0;
  double diffuseConstant1;
  double evaporationRate1;
  double diffuseConstant2;
  double evaporationRate2;
  double diffuseConstantF;
  double evaporationRateF;

  int nestX,nestY;
  int antsNumber;
  char *filename;

  Arena *arena;
  id <Grid2d> world;
  id <Grid2d> worldP0;
  id <Grid2d> worldP1;
  id <Grid2d> worldP2;
  id <Grid2d> worldF;
  FeromonSpace *feromonF;
  FeromonSpace *feromonP0;
  FeromonSpace *feromonP1;
  FeromonSpace *feromonP2;

  id antList;
  id modelActions;
  id planModelu;
}

-getWorld;
-getWorldP1;
-getWorldP0;
-getWorldP2;
-getWorldF;
-getArena;
-getFeromonP1;
-getFeromonF;
-getFeromonP0;
-getFeromonP2;
-getAntList;

+ createBegin: aZone;
- createEnd;
- buildObjects;
- buildActions;
- activateIn: swarmContext;

 

@end