//
// Rule.h
//

#import <objectbase/SwarmObject.h>

// objekt rule obsahuje tri retazce,
// ktore predstavuju podmienkovu cast(prve dva retazce)
// a dosledkovu cast


@interface Rule: SwarmObject
{
  char p1[10];
  char p2[10];
  char d[10];
}

//metody 

//vkladanie retazcov
- insertP1:(char *)string;
- insertP2:(char *)string;
- insertD:(char *)string;

//vyber retazcov
- (char *)getP1;
- (char *)getP2;
- (char *)getD;

//vyber identifikatorov retazcov
- (char)getIdP1;
- (char)getIdP2;
- (char)getIdD;

//operacia pre porovnavanie
- (int)cmpM:(char *)a wP:(char *)b;

//operacia pre kopirovanie
- setR:(char *)R wP:(char *)P;

@end

